DROP SCHEMA IF EXISTS deliveries;
CREATE SCHEMA deliveries;
USE deliveries;
SET AUTOCOMMIT=0;

CREATE TABLE `COMPANYDEL` (
  `COMPANYID` smallint(6) NOT NULL,
  `DELIVERERID` smallint(6) NOT NULL,
  `NUMDELIVERIES` smallint(6) NOT NULL,
  `NUMCOLLECTIONS` smallint(6) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dump dei dati per la tabella `COMPANYDEL`
--

INSERT INTO `COMPANYDEL` (`COMPANYID`, `DELIVERERID`, `NUMDELIVERIES`, `NUMCOLLECTIONS`) VALUES
(1, 2, 4, 8),
(1, 6, 9, 1),
(1, 8, 0, 1),
(1, 44, 7, 5),
(1, 57, 5, 0),
(1, 83, 3, 3),
(2, 8, 4, 4),
(2, 27, 11, 2),
(2, 104, 8, 4),
(2, 112, 4, 8);

-- --------------------------------------------------------

--
-- Struttura della tabella `CONTACTS`
--

CREATE TABLE `CONTACTS` (
  `COMPANYID` smallint(6) NOT NULL,
  `DELIVERERID` smallint(6) NOT NULL,
  `MANDATE` char(6) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dump dei dati per la tabella `CONTACTS`
--

INSERT INTO `CONTACTS` (`COMPANYID`, `DELIVERERID`, `MANDATE`) VALUES
(1, 6, 'first'),
(2, 27, 'second');

-- --------------------------------------------------------

--
-- Struttura della tabella `DELIVERERS`
--

CREATE TABLE `DELIVERERS` (
  `DELIVERERID` smallint(6) NOT NULL,
  `NAME` char(15) NOT NULL,
  `INITIALS` char(3) DEFAULT NULL,
  `YEAR_OF_BIRTH` smallint(6) DEFAULT NULL,
  `SEX` char(1) DEFAULT NULL,
  `YEAR_JOINED` smallint(6) NOT NULL,
  `STREET` char(15) NOT NULL,
  `HOUSENO` char(4) DEFAULT NULL,
  `POSTCODE` char(6) DEFAULT NULL,
  `TOWN` char(10) NOT NULL,
  `CELLNO` char(10) DEFAULT NULL,
  `PHONENO` char(4) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dump dei dati per la tabella `DELIVERERS`
--

INSERT INTO `DELIVERERS` (`DELIVERERID`, `NAME`, `INITIALS`, `YEAR_OF_BIRTH`, `SEX`, `YEAR_JOINED`, `STREET`, `HOUSENO`, `POSTCODE`, `TOWN`, `CELLNO`, `PHONENO`) VALUES
(2, 'Everett', 'R', 1948, 'M', 1975, 'Stoney Road', '43', '3575NH', 'Stratford', '070-237893', '2411'),
(6, 'Parmenter', 'R', 1964, 'M', 1977, 'Haseltine Lane', '80', '1234KK', 'Stratford', '070-476537', '8467'),
(7, 'Wise', 'GWS', 1963, 'M', 1981, 'Edgecombe Way', '39', '9758VB', 'Stratford', '070-347689', NULL),
(8, 'Newcastle', 'B', 1962, 'F', 1980, 'Station Road', '4', '6584WO', 'Inglewood', '070-476573', '2983'),
(27, 'Collins', 'DD', 1964, 'F', 1983, 'Long Drive', '804', '8457DK', 'Eltham', '079-234857', '2513'),
(28, 'Collins', 'C', 1963, 'F', 1983, 'Old Main Road', '10', '1294QK', 'Midhurst', '010-659599', NULL),
(39, 'Bishop', 'D', 1956, 'M', 1980, 'Eaton Square', '78', '9629CD', 'Stratford', '070-393435', NULL),
(44, 'Baker', 'E', 1963, 'M', 1980, 'Lewis Street', '23', '4444LJ', 'Inglewood', '070-368753', '1124'),
(57, 'Brown', 'M', 1971, 'M', 1985, 'Edgecombe Way', '16', '4377CB', 'Stratford', '070-473458', '6409'),
(83, 'Hope', 'PK', 1956, 'M', 1982, 'Magdalene Road', '16a', '1812UP', 'Stratford', '070-353548', '1608'),
(95, 'Miller', 'P', 1934, 'M', 1972, 'High Street', '33a', '5746OP', 'Douglas', '070-867564', NULL),
(100, 'Parmenter', 'P', 1963, 'M', 1979, 'Haseltine Lane', '80', '1234KK', 'Stratford', '070-476537', '6524'),
(104, 'Moorman', 'D', 1970, 'F', 1984, 'Stout Street', '65', '9437AO', 'Eltham', '079-987571', '7060'),
(112, 'Bailey', 'IP', 1963, 'F', 1984, 'Vixen Road', '8', '6392LK', 'Plymouth', '010-54874', '1319');

-- --------------------------------------------------------

--
-- Struttura della tabella `PENALTIES`
--

CREATE TABLE `PENALTIES` (
  `PAYMENTID` int(11) NOT NULL,
  `DELIVERERID` smallint(6) NOT NULL,
  `DATA` date NOT NULL,
  `AMOUNT` decimal(7,2) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dump dei dati per la tabella `PENALTIES`
--

INSERT INTO `PENALTIES` (`PAYMENTID`, `DELIVERERID`, `DATA`, `AMOUNT`) VALUES
(1, 6, '1980-08-12', '100.00'),
(2, 44, '1981-05-05', '75.00'),
(3, 27, '1983-09-10', '100.00'),
(4, 104, '1984-12-08', '50.00'),
(5, 44, '1980-12-08', '25.00'),
(6, 8, '1980-12-08', '25.00'),
(7, 44, '1982-12-30', '30.00'),
(8, 27, '1984-11-12', '75.00');

--
-- Indici per le tabelle scaricate
--

--
-- Indici per le tabelle `COMPANYDEL`
--
ALTER TABLE `COMPANYDEL`
  ADD PRIMARY KEY (`COMPANYID`,`DELIVERERID`),
  ADD KEY `DELIVERERID` (`DELIVERERID`);

--
-- Indici per le tabelle `CONTACTS`
--
ALTER TABLE `CONTACTS`
  ADD PRIMARY KEY (`COMPANYID`),
  ADD KEY `DELIVERERID` (`DELIVERERID`);

--
-- Indici per le tabelle `DELIVERERS`
--
ALTER TABLE `DELIVERERS`
  ADD PRIMARY KEY (`DELIVERERID`);

--
-- Indici per le tabelle `PENALTIES`
--
ALTER TABLE `PENALTIES`
  ADD PRIMARY KEY (`PAYMENTID`),
  ADD KEY `DELIVERERID` (`DELIVERERID`);

--
-- Limiti per le tabelle scaricate
--

--
-- Limiti per la tabella `COMPANYDEL`
--
ALTER TABLE `COMPANYDEL`
  ADD CONSTRAINT `COMPANYDEL_ibfk_1` FOREIGN KEY (`DELIVERERID`) REFERENCES `DELIVERERS` (`DELIVERERID`),
  ADD CONSTRAINT `COMPANYDEL_ibfk_2` FOREIGN KEY (`COMPANYID`) REFERENCES `CONTACTS` (`COMPANYID`);

--
-- Limiti per la tabella `CONTACTS`
--
ALTER TABLE `CONTACTS`
  ADD CONSTRAINT `CONTACTS_ibfk_1` FOREIGN KEY (`DELIVERERID`) REFERENCES `DELIVERERS` (`DELIVERERID`);

--
-- Limiti per la tabella `PENALTIES`
--
ALTER TABLE `PENALTIES`
  ADD CONSTRAINT `PENALTIES_ibfk_1` FOREIGN KEY (`DELIVERERID`) REFERENCES `DELIVERERS` (`DELIVERERID`);
COMMIT;



	   



